/* brick.c */
int lct_init_brick(lct_brick_t *brick, lct_brick_type_t type);
int lct_open_brick(lct_brick_t *brick);
int lct_upload_firmware(lct_brick_t *brick, char *filename);
int lct_download_firmware(lct_brick_t *brick, char *filename);
int lct_upload_program(lct_brick_t *brick, char *filename);
int lct_delete_file(lct_brick_t *brick, char *filename);
int lct_start_program(lct_brick_t *brick, char *filename);
int lct_stop_program(lct_brick_t *brick);
int lct_download_program(lct_brick_t *brick, char *filename);
int lct_close_brick(lct_brick_t *brick);
int lct_get_battery_level(lct_brick_t *brick);
int lct_print_battery_level(lct_brick_t *brick);
int lct_get_firmware_version(lct_brick_t *brick);
int lct_print_firmware_version(lct_brick_t *brick);
int lct_print_device_info(lct_brick_t *brick);
/* lct.c */
int lct_find_bricks(lct_brick_list_t *bricks, unsigned int flags);
int lct_find_nxt_bricks(lct_brick_list_t *bricks);
int lct_find_nxt_usb(lct_brick_list_t *bricks);
int lct_find_nxt_bluetooth(lct_brick_list_t *bricks);
int lct_find_rcx_bricks(lct_brick_list_t *bricks);
/* nxt.c */
int nxt_open(nxt_t *nxt);
int nxt_open_usb(nxt_t *nxt);
int nxt_get_battery_level(nxt_t *nxt);
int nxt_print_battery_level(nxt_t *nxt);
int nxt_get_device_info(nxt_t *nxt);
int nxt_print_device_info(nxt_t *nxt);
int nxt_get_firmware_version(nxt_t *nxt);
int nxt_print_firmware_version(nxt_t *nxt);
int nxt_send_cmd(nxt_t *nxt, int cmd_type, int cmd, char *response, int response_max);
int nxt_send_buf(nxt_t *nxt, char *buf, int len);
int nxt_send_str(nxt_t *nxt, char *str);
int nxt_recv_buf(nxt_t *nxt, char *buf, int maxlen);
int nxt_close(nxt_t *nxt);
int nxt_close_usb(nxt_t *nxt);
int nxt_validate_filename(char *filename);
int nxt_upload_program(nxt_t *nxt, char *filename);
int nxt_delete_file(nxt_t *nxt, char *filename);
int nxt_start_program(nxt_t *nxt, char *filename);
int nxt_stop_program(nxt_t *nxt);
int nxt_open_file(nxt_t *nxt, char *filename, nxt_open_mode_t mode);
int nxt_write_file(nxt_t *nxt, char *filename, int file_handle);
int nxt_close_file(nxt_t *nxt, int file_handle);
int nxt_is_open(nxt_t *nxt);
void nxt_init(nxt_t *nxt);
short buf2short(char *buf);
long buf2long(char *buf);
void long2buf(char *buf, long val);
void nxt_dump_response(char *response, int bytes, char *cmd);
void nxt_dump_cmd(char *cmd, int bytes, char *cmd_name);
/* rcx.c */
void rcx_init(rcx_t *rcx);
int rcx_open(rcx_t *rcx);
/* usb.c */
int usb_device_info(struct usb_device *dev);
